# fis_jsonrpc

A JSON-RPC client package project for Flyinsono application.

## Usage

```dart
// Create a proxy instance
final rpc = JsonRpcProxy();

// Fetch a api
try {
    final String result = await rpc.config.getConfigAsync("service", "section", "settingNode", "defaultValue");
    print(result);
} on JsonRpcException catch (e) {
    print("Fetch fail. code: ${e.code}, msg: ${e.message}");
} catch (e) {
    logger.e("Fetch error.", e);
}
```
