import 'dart:core';

import 'package:fis_jsonrpc/client_base.dart';



class EmailService extends JsonRpcClientBase {
	EmailService(
		String host, {
		String serviceName = "IEmailService",
		Map<String, String>? headers,
		int? timeout,
	}) : super(
						host,
						serviceName,
						headers: headers,
						timeout: timeout,
				);

	Future<bool> sendEmailAsync(String language,List<String> receivers,String templateName,List<String> templateArg) async {
		var rpcRst = await call("SendEmailAsync", [language,receivers,templateName,templateArg]);
		return rpcRst;
	}

}

