import 'package:fis_common/extensions/date.dart';

class JsonRpcUtils {
  static const String _datetimeFormat = "yyyy-MM-ddTHH:mm:ss.SSS";
  static const String _utcDateTimeFormat = "yyyy-MM-ddTHH:mm:ss.SSS'Z'";
  static String dateFormat(DateTime date) {
    if (date.isUtc) {
      return date.format(_utcDateTimeFormat);
    } else {
      return date.format(_datetimeFormat);
    }
  }
}
